Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSS2Properties

public interface CSS2Properties

The `CSS2Properties` interface represents a convenience mechanism for retrieving and setting properties within a `CSSStyleDeclaration`. The attributes of this interface correspond to all the properties specified in CSS2. Getting an attribute of this interface is equivalent to calling the `getPropertyValue` method of the `CSSStyleDeclaration` interface. Setting an attribute of this interface is equivalent to calling the `setProperty` method of the `CSSStyleDeclaration` interface.

A conformant implementation of the CSS module is not required to implement the `CSS2Properties` interface. If an implementation does implement this interface, the expectation is that language-specific methods can be used to cast from an instance of the `CSSStyleDeclaration` interface to the `CSS2Properties` interface.

If an implementation does implement this interface, it is expected to understand the specific syntax of the shorthand properties, and apply their semantics; when the `margin` property is set, for example, the `marginTop`, `marginRight`, `marginBottom` and `marginLeft` properties are actually being set by the underlying implementation.

When dealing with CSS "shorthand" properties, the shorthand properties should be decomposed into their component longhand properties as appropriate, and when querying for their value, the form returned should be the shortest form exactly equivalent to the declarations made in the ruleset. However, if there is no shorthand declaration that could be added to the ruleset without changing in any way the rules already declared in the ruleset (i.e., by adding longhand rules that were previously not declared in the ruleset), then the empty string should be returned for the shorthand property.

For example, querying for the `font` property should not return "normal normal normal 14pt/normal Arial, sans-serif", when "14pt Arial, sans-serif" suffices. (The normals are initial values, and are implied by use of the longhand property.)

If the values for all the longhand properties that compose a particular string are the initial values, then a string consisting of all the initial values should be returned (e.g. a `border-width` value of "medium" should be returned as such, not as "").

For some shorthand properties that take missing values from other sides, such as the `margin`, `padding`, and `border-[width|style|color]` properties, the minimum number of sides possible should be used; i.e., "0px 10px" will be returned instead of "0px 10px 0px 10px".

If the value of a shorthand property can not be decomposed into its component longhand properties, as is the case for the `font` property with a value of "menu", querying for the values of the component longhand properties should return the empty string.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Method Summary
`java.lang.String` | `getAzimuth()` See the azimuth property definition in CSS2.
`java.lang.String` | `getBackground()` See the background property definition in CSS2.
`java.lang.String` | `getBackgroundAttachment()` See the background-attachment property definition in CSS2.
`java.lang.String` | `getBackgroundColor()` See the background-color property definition in CSS2.
`java.lang.String` | `getBackgroundImage()` See the background-image property definition in CSS2.
`java.lang.String` | `getBackgroundPosition()` See the background-position property definition in CSS2.
`java.lang.String` | `getBackgroundRepeat()` See the background-repeat property definition in CSS2.
`java.lang.String` | `getBorder()` See the border property definition in CSS2.
`java.lang.String` | `getBorderBottom()` See the border-bottom property definition in CSS2.
`java.lang.String` | `getBorderBottomColor()` See the border-bottom-color property definition in CSS2.
`java.lang.String` | `getBorderBottomStyle()` See the border-bottom-style property definition in CSS2.
`java.lang.String` | `getBorderBottomWidth()` See the border-bottom-width property definition in CSS2.
`java.lang.String` | `getBorderCollapse()` See the border-collapse property definition in CSS2.
`java.lang.String` | `getBorderColor()` See the border-color property definition in CSS2.
`java.lang.String` | `getBorderLeft()` See the border-left property definition in CSS2.
`java.lang.String` | `getBorderLeftColor()` See the border-left-color property definition in CSS2.
`java.lang.String` | `getBorderLeftStyle()` See the border-left-style property definition in CSS2.
`java.lang.String` | `getBorderLeftWidth()` See the border-left-width property definition in CSS2.
`java.lang.String` | `getBorderRight()` See the border-right property definition in CSS2.
`java.lang.String` | `getBorderRightColor()` See the border-right-color property definition in CSS2.
`java.lang.String` | `getBorderRightStyle()` See the border-right-style property definition in CSS2.
`java.lang.String` | `getBorderRightWidth()` See the border-right-width property definition in CSS2.
`java.lang.String` | `getBorderSpacing()` See the border-spacing property definition in CSS2.
`java.lang.String` | `getBorderStyle()` See the border-style property definition in CSS2.
`java.lang.String` | `getBorderTop()` See the border-top property definition in CSS2.
`java.lang.String` | `getBorderTopColor()` See the border-top-color property definition in CSS2.
`java.lang.String` | `getBorderTopStyle()` See the border-top-style property definition in CSS2.
`java.lang.String` | `getBorderTopWidth()` See the border-top-width property definition in CSS2.
`java.lang.String` | `getBorderWidth()` See the border-width property definition in CSS2.
`java.lang.String` | `getBottom()` See the bottom property definition in CSS2.
`java.lang.String` | `getCaptionSide()` See the caption-side property definition in CSS2.
`java.lang.String` | `getClear()` See the clear property definition in CSS2.
`java.lang.String` | `getClip()` See the clip property definition in CSS2.
`java.lang.String` | `getColor()` See the color property definition in CSS2.
`java.lang.String` | `getContent()` See the content property definition in CSS2.
`java.lang.String` | `getCounterIncrement()` See the counter-increment property definition in CSS2.
`java.lang.String` | `getCounterReset()` See the counter-reset property definition in CSS2.
`java.lang.String` | `getCssFloat()` See the float property definition in CSS2.
`java.lang.String` | `getCue()` See the cue property definition in CSS2.
`java.lang.String` | `getCueAfter()` See the cue-after property definition in CSS2.
`java.lang.String` | `getCueBefore()` See the cue-before property definition in CSS2.
`java.lang.String` | `getCursor()` See the cursor property definition in CSS2.
`java.lang.String` | `getDirection()` See the direction property definition in CSS2.
`java.lang.String` | `getDisplay()` See the display property definition in CSS2.
`java.lang.String` | `getElevation()` See the elevation property definition in CSS2.
`java.lang.String` | `getEmptyCells()` See the empty-cells property definition in CSS2.
`java.lang.String` | `getFont()` See the font property definition in CSS2.
`java.lang.String` | `getFontFamily()` See the font-family property definition in CSS2.
`java.lang.String` | `getFontSize()` See the font-size property definition in CSS2.
`java.lang.String` | `getFontSizeAdjust()` See the font-size-adjust property definition in CSS2.
`java.lang.String` | `getFontStretch()` See the font-stretch property definition in CSS2.
`java.lang.String` | `getFontStyle()` See the font-style property definition in CSS2.
`java.lang.String` | `getFontVariant()` See the font-variant property definition in CSS2.
`java.lang.String` | `getFontWeight()` See the font-weight property definition in CSS2.
`java.lang.String` | `getHeight()` See the height property definition in CSS2.
`java.lang.String` | `getLeft()` See the left property definition in CSS2.
`java.lang.String` | `getLetterSpacing()` See the letter-spacing property definition in CSS2.
`java.lang.String` | `getLineHeight()` See the line-height property definition in CSS2.
`java.lang.String` | `getListStyle()` See the list-style property definition in CSS2.
`java.lang.String` | `getListStyleImage()` See the list-style-image property definition in CSS2.
`java.lang.String` | `getListStylePosition()` See the list-style-position property definition in CSS2.
`java.lang.String` | `getListStyleType()` See the list-style-type property definition in CSS2.
`java.lang.String` | `getMargin()` See the margin property definition in CSS2.
`java.lang.String` | `getMarginBottom()` See the margin-bottom property definition in CSS2.
`java.lang.String` | `getMarginLeft()` See the margin-left property definition in CSS2.
`java.lang.String` | `getMarginRight()` See the margin-right property definition in CSS2.
`java.lang.String` | `getMarginTop()` See the margin-top property definition in CSS2.
`java.lang.String` | `getMarkerOffset()` See the marker-offset property definition in CSS2.
`java.lang.String` | `getMarks()` See the marks property definition in CSS2.
`java.lang.String` | `getMaxHeight()` See the max-height property definition in CSS2.
`java.lang.String` | `getMaxWidth()` See the max-width property definition in CSS2.
`java.lang.String` | `getMinHeight()` See the min-height property definition in CSS2.
`java.lang.String` | `getMinWidth()` See the min-width property definition in CSS2.
`java.lang.String` | `getOrphans()` See the orphans property definition in CSS2.
`java.lang.String` | `getOutline()` See the outline property definition in CSS2.
`java.lang.String` | `getOutlineColor()` See the outline-color property definition in CSS2.
`java.lang.String` | `getOutlineStyle()` See the outline-style property definition in CSS2.
`java.lang.String` | `getOutlineWidth()` See the outline-width property definition in CSS2.
`java.lang.String` | `getOverflow()` See the overflow property definition in CSS2.
`java.lang.String` | `getPadding()` See the padding property definition in CSS2.
`java.lang.String` | `getPaddingBottom()` See the padding-bottom property definition in CSS2.
`java.lang.String` | `getPaddingLeft()` See the padding-left property definition in CSS2.
`java.lang.String` | `getPaddingRight()` See the padding-right property definition in CSS2.
`java.lang.String` | `getPaddingTop()` See the padding-top property definition in CSS2.
`java.lang.String` | `getPage()` See the page property definition in CSS2.
`java.lang.String` | `getPageBreakAfter()` See the page-break-after property definition in CSS2.
`java.lang.String` | `getPageBreakBefore()` See the page-break-before property definition in CSS2.
`java.lang.String` | `getPageBreakInside()` See the page-break-inside property definition in CSS2.
`java.lang.String` | `getPause()` See the pause property definition in CSS2.
`java.lang.String` | `getPauseAfter()` See the pause-after property definition in CSS2.
`java.lang.String` | `getPauseBefore()` See the pause-before property definition in CSS2.
`java.lang.String` | `getPitch()` See the pitch property definition in CSS2.
`java.lang.String` | `getPitchRange()` See the pitch-range property definition in CSS2.
`java.lang.String` | `getPlayDuring()` See the play-during property definition in CSS2.
`java.lang.String` | `getPosition()` See the position property definition in CSS2.
`java.lang.String` | `getQuotes()` See the quotes property definition in CSS2.
`java.lang.String` | `getRichness()` See the richness property definition in CSS2.
`java.lang.String` | `getRight()` See the right property definition in CSS2.
`java.lang.String` | `getSize()` See the size property definition in CSS2.
`java.lang.String` | `getSpeak()` See the speak property definition in CSS2.
`java.lang.String` | `getSpeakHeader()` See the speak-header property definition in CSS2.
`java.lang.String` | `getSpeakNumeral()` See the speak-numeral property definition in CSS2.
`java.lang.String` | `getSpeakPunctuation()` See the speak-punctuation property definition in CSS2.
`java.lang.String` | `getSpeechRate()` See the speech-rate property definition in CSS2.
`java.lang.String` | `getStress()` See the stress property definition in CSS2.
`java.lang.String` | `getTableLayout()` See the table-layout property definition in CSS2.
`java.lang.String` | `getTextAlign()` See the text-align property definition in CSS2.
`java.lang.String` | `getTextDecoration()` See the text-decoration property definition in CSS2.
`java.lang.String` | `getTextIndent()` See the text-indent property definition in CSS2.
`java.lang.String` | `getTextShadow()` See the text-shadow property definition in CSS2.
`java.lang.String` | `getTextTransform()` See the text-transform property definition in CSS2.
`java.lang.String` | `getTop()` See the top property definition in CSS2.
`java.lang.String` | `getUnicodeBidi()` See the unicode-bidi property definition in CSS2.
`java.lang.String` | `getVerticalAlign()` See the vertical-align property definition in CSS2.
`java.lang.String` | `getVisibility()` See the visibility property definition in CSS2.
`java.lang.String` | `getVoiceFamily()` See the voice-family property definition in CSS2.
`java.lang.String` | `getVolume()` See the volume property definition in CSS2.
`java.lang.String` | `getWhiteSpace()` See the white-space property definition in CSS2.
`java.lang.String` | `getWidows()` See the widows property definition in CSS2.
`java.lang.String` | `getWidth()` See the width property definition in CSS2.
`java.lang.String` | `getWordSpacing()` See the word-spacing property definition in CSS2.
`java.lang.String` | `getZIndex()` See the z-index property definition in CSS2.
`void` | `setAzimuth(java.lang.String azimuth)`
`void` | `setBackground(java.lang.String background)`
`void` | `setBackgroundAttachment(java.lang.String backgroundAttachment)`
`void` | `setBackgroundColor(java.lang.String backgroundColor)`
`void` | `setBackgroundImage(java.lang.String backgroundImage)`
`void` | `setBackgroundPosition(java.lang.String backgroundPosition)`
`void` | `setBackgroundRepeat(java.lang.String backgroundRepeat)`
`void` | `setBorder(java.lang.String border)`
`void` | `setBorderBottom(java.lang.String borderBottom)`
`void` | `setBorderBottomColor(java.lang.String borderBottomColor)`
`void` | `setBorderBottomStyle(java.lang.String borderBottomStyle)`
`void` | `setBorderBottomWidth(java.lang.String borderBottomWidth)`
`void` | `setBorderCollapse(java.lang.String borderCollapse)`
`void` | `setBorderColor(java.lang.String borderColor)`
`void` | `setBorderLeft(java.lang.String borderLeft)`
`void` | `setBorderLeftColor(java.lang.String borderLeftColor)`
`void` | `setBorderLeftStyle(java.lang.String borderLeftStyle)`
`void` | `setBorderLeftWidth(java.lang.String borderLeftWidth)`
`void` | `setBorderRight(java.lang.String borderRight)`
`void` | `setBorderRightColor(java.lang.String borderRightColor)`
`void` | `setBorderRightStyle(java.lang.String borderRightStyle)`
`void` | `setBorderRightWidth(java.lang.String borderRightWidth)`
`void` | `setBorderSpacing(java.lang.String borderSpacing)`
`void` | `setBorderStyle(java.lang.String borderStyle)`
`void` | `setBorderTop(java.lang.String borderTop)`
`void` | `setBorderTopColor(java.lang.String borderTopColor)`
`void` | `setBorderTopStyle(java.lang.String borderTopStyle)`
`void` | `setBorderTopWidth(java.lang.String borderTopWidth)`
`void` | `setBorderWidth(java.lang.String borderWidth)`
`void` | `setBottom(java.lang.String bottom)`
`void` | `setCaptionSide(java.lang.String captionSide)`
`void` | `setClear(java.lang.String clear)`
`void` | `setClip(java.lang.String clip)`
`void` | `setColor(java.lang.String color)`
`void` | `setContent(java.lang.String content)`
`void` | `setCounterIncrement(java.lang.String counterIncrement)`
`void` | `setCounterReset(java.lang.String counterReset)`
`void` | `setCssFloat(java.lang.String cssFloat)`
`void` | `setCue(java.lang.String cue)`
`void` | `setCueAfter(java.lang.String cueAfter)`
`void` | `setCueBefore(java.lang.String cueBefore)`
`void` | `setCursor(java.lang.String cursor)`
`void` | `setDirection(java.lang.String direction)`
`void` | `setDisplay(java.lang.String display)`
`void` | `setElevation(java.lang.String elevation)`
`void` | `setEmptyCells(java.lang.String emptyCells)`
`void` | `setFont(java.lang.String font)`
`void` | `setFontFamily(java.lang.String fontFamily)`
`void` | `setFontSize(java.lang.String fontSize)`
`void` | `setFontSizeAdjust(java.lang.String fontSizeAdjust)`
`void` | `setFontStretch(java.lang.String fontStretch)`
`void` | `setFontStyle(java.lang.String fontStyle)`
`void` | `setFontVariant(java.lang.String fontVariant)`
`void` | `setFontWeight(java.lang.String fontWeight)`
`void` | `setHeight(java.lang.String height)`
`void` | `setLeft(java.lang.String left)`
`void` | `setLetterSpacing(java.lang.String letterSpacing)`
`void` | `setLineHeight(java.lang.String lineHeight)`
`void` | `setListStyle(java.lang.String listStyle)`
`void` | `setListStyleImage(java.lang.String listStyleImage)`
`void` | `setListStylePosition(java.lang.String listStylePosition)`
`void` | `setListStyleType(java.lang.String listStyleType)`
`void` | `setMargin(java.lang.String margin)`
`void` | `setMarginBottom(java.lang.String marginBottom)`
`void` | `setMarginLeft(java.lang.String marginLeft)`
`void` | `setMarginRight(java.lang.String marginRight)`
`void` | `setMarginTop(java.lang.String marginTop)`
`void` | `setMarkerOffset(java.lang.String markerOffset)`
`void` | `setMarks(java.lang.String marks)`
`void` | `setMaxHeight(java.lang.String maxHeight)`
`void` | `setMaxWidth(java.lang.String maxWidth)`
`void` | `setMinHeight(java.lang.String minHeight)`
`void` | `setMinWidth(java.lang.String minWidth)`
`void` | `setOrphans(java.lang.String orphans)`
`void` | `setOutline(java.lang.String outline)`
`void` | `setOutlineColor(java.lang.String outlineColor)`
`void` | `setOutlineStyle(java.lang.String outlineStyle)`
`void` | `setOutlineWidth(java.lang.String outlineWidth)`
`void` | `setOverflow(java.lang.String overflow)`
`void` | `setPadding(java.lang.String padding)`
`void` | `setPaddingBottom(java.lang.String paddingBottom)`
`void` | `setPaddingLeft(java.lang.String paddingLeft)`
`void` | `setPaddingRight(java.lang.String paddingRight)`
`void` | `setPaddingTop(java.lang.String paddingTop)`
`void` | `setPage(java.lang.String page)`
`void` | `setPageBreakAfter(java.lang.String pageBreakAfter)`
`void` | `setPageBreakBefore(java.lang.String pageBreakBefore)`
`void` | `setPageBreakInside(java.lang.String pageBreakInside)`
`void` | `setPause(java.lang.String pause)`
`void` | `setPauseAfter(java.lang.String pauseAfter)`
`void` | `setPauseBefore(java.lang.String pauseBefore)`
`void` | `setPitch(java.lang.String pitch)`
`void` | `setPitchRange(java.lang.String pitchRange)`
`void` | `setPlayDuring(java.lang.String playDuring)`
`void` | `setPosition(java.lang.String position)`
`void` | `setQuotes(java.lang.String quotes)`
`void` | `setRichness(java.lang.String richness)`
`void` | `setRight(java.lang.String right)`
`void` | `setSize(java.lang.String size)`
`void` | `setSpeak(java.lang.String speak)`
`void` | `setSpeakHeader(java.lang.String speakHeader)`
`void` | `setSpeakNumeral(java.lang.String speakNumeral)`
`void` | `setSpeakPunctuation(java.lang.String speakPunctuation)`
`void` | `setSpeechRate(java.lang.String speechRate)`
`void` | `setStress(java.lang.String stress)`
`void` | `setTableLayout(java.lang.String tableLayout)`
`void` | `setTextAlign(java.lang.String textAlign)`
`void` | `setTextDecoration(java.lang.String textDecoration)`
`void` | `setTextIndent(java.lang.String textIndent)`
`void` | `setTextShadow(java.lang.String textShadow)`
`void` | `setTextTransform(java.lang.String textTransform)`
`void` | `setTop(java.lang.String top)`
`void` | `setUnicodeBidi(java.lang.String unicodeBidi)`
`void` | `setVerticalAlign(java.lang.String verticalAlign)`
`void` | `setVisibility(java.lang.String visibility)`
`void` | `setVoiceFamily(java.lang.String voiceFamily)`
`void` | `setVolume(java.lang.String volume)`
`void` | `setWhiteSpace(java.lang.String whiteSpace)`
`void` | `setWidows(java.lang.String widows)`
`void` | `setWidth(java.lang.String width)`
`void` | `setWordSpacing(java.lang.String wordSpacing)`
`void` | `setZIndex(java.lang.String zIndex)`

Method Detail

### getAzimuth

    public java.lang.String getAzimuth()

  See the azimuth property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setAzimuth

    public void setAzimuth(java.lang.String azimuth)
                    throws DOMException

### getBackground

    public java.lang.String getBackground()

  See the background property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackground

    public void setBackground(java.lang.String background)
                       throws DOMException

### getBackgroundAttachment

    public java.lang.String getBackgroundAttachment()

  See the background-attachment property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundAttachment

    public void setBackgroundAttachment(java.lang.String backgroundAttachment)
                                 throws DOMException

### getBackgroundColor

    public java.lang.String getBackgroundColor()

  See the background-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundColor

    public void setBackgroundColor(java.lang.String backgroundColor)
                            throws DOMException

### getBackgroundImage

    public java.lang.String getBackgroundImage()

  See the background-image property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundImage

    public void setBackgroundImage(java.lang.String backgroundImage)
                            throws DOMException

### getBackgroundPosition

    public java.lang.String getBackgroundPosition()

  See the background-position property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundPosition

    public void setBackgroundPosition(java.lang.String backgroundPosition)
                               throws DOMException

### getBackgroundRepeat

    public java.lang.String getBackgroundRepeat()

  See the background-repeat property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBackgroundRepeat

    public void setBackgroundRepeat(java.lang.String backgroundRepeat)
                             throws DOMException

### getBorder

    public java.lang.String getBorder()

  See the border property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorder

    public void setBorder(java.lang.String border)
                   throws DOMException

### getBorderCollapse

    public java.lang.String getBorderCollapse()

  See the border-collapse property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderCollapse

    public void setBorderCollapse(java.lang.String borderCollapse)
                           throws DOMException

### getBorderColor

    public java.lang.String getBorderColor()

  See the border-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderColor

    public void setBorderColor(java.lang.String borderColor)
                        throws DOMException

### getBorderSpacing

    public java.lang.String getBorderSpacing()

  See the border-spacing property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderSpacing

    public void setBorderSpacing(java.lang.String borderSpacing)
                          throws DOMException

### getBorderStyle

    public java.lang.String getBorderStyle()

  See the border-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderStyle

    public void setBorderStyle(java.lang.String borderStyle)
                        throws DOMException

### getBorderTop

    public java.lang.String getBorderTop()

  See the border-top property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTop

    public void setBorderTop(java.lang.String borderTop)
                      throws DOMException

### getBorderRight

    public java.lang.String getBorderRight()

  See the border-right property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRight

    public void setBorderRight(java.lang.String borderRight)
                        throws DOMException

### getBorderBottom

    public java.lang.String getBorderBottom()

  See the border-bottom property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottom

    public void setBorderBottom(java.lang.String borderBottom)
                         throws DOMException

### getBorderLeft

    public java.lang.String getBorderLeft()

  See the border-left property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeft

    public void setBorderLeft(java.lang.String borderLeft)
                       throws DOMException

### getBorderTopColor

    public java.lang.String getBorderTopColor()

  See the border-top-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopColor

    public void setBorderTopColor(java.lang.String borderTopColor)
                           throws DOMException

### getBorderRightColor

    public java.lang.String getBorderRightColor()

  See the border-right-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightColor

    public void setBorderRightColor(java.lang.String borderRightColor)
                             throws DOMException

### getBorderBottomColor

    public java.lang.String getBorderBottomColor()

  See the border-bottom-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomColor

    public void setBorderBottomColor(java.lang.String borderBottomColor)
                              throws DOMException

### getBorderLeftColor

    public java.lang.String getBorderLeftColor()

  See the border-left-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftColor

    public void setBorderLeftColor(java.lang.String borderLeftColor)
                            throws DOMException

### getBorderTopStyle

    public java.lang.String getBorderTopStyle()

  See the border-top-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopStyle

    public void setBorderTopStyle(java.lang.String borderTopStyle)
                           throws DOMException

### getBorderRightStyle

    public java.lang.String getBorderRightStyle()

  See the border-right-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightStyle

    public void setBorderRightStyle(java.lang.String borderRightStyle)
                             throws DOMException

### getBorderBottomStyle

    public java.lang.String getBorderBottomStyle()

  See the border-bottom-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomStyle

    public void setBorderBottomStyle(java.lang.String borderBottomStyle)
                              throws DOMException

### getBorderLeftStyle

    public java.lang.String getBorderLeftStyle()

  See the border-left-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftStyle

    public void setBorderLeftStyle(java.lang.String borderLeftStyle)
                            throws DOMException

### getBorderTopWidth

    public java.lang.String getBorderTopWidth()

  See the border-top-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderTopWidth

    public void setBorderTopWidth(java.lang.String borderTopWidth)
                           throws DOMException

### getBorderRightWidth

    public java.lang.String getBorderRightWidth()

  See the border-right-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderRightWidth

    public void setBorderRightWidth(java.lang.String borderRightWidth)
                             throws DOMException

### getBorderBottomWidth

    public java.lang.String getBorderBottomWidth()

  See the border-bottom-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderBottomWidth

    public void setBorderBottomWidth(java.lang.String borderBottomWidth)
                              throws DOMException

### getBorderLeftWidth

    public java.lang.String getBorderLeftWidth()

  See the border-left-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderLeftWidth

    public void setBorderLeftWidth(java.lang.String borderLeftWidth)
                            throws DOMException

### getBorderWidth

    public java.lang.String getBorderWidth()

  See the border-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBorderWidth

    public void setBorderWidth(java.lang.String borderWidth)
                        throws DOMException

### getBottom

    public java.lang.String getBottom()

  See the bottom property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setBottom

    public void setBottom(java.lang.String bottom)
                   throws DOMException

### getCaptionSide

    public java.lang.String getCaptionSide()

  See the caption-side property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCaptionSide

    public void setCaptionSide(java.lang.String captionSide)
                        throws DOMException

### getClear

    public java.lang.String getClear()

  See the clear property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setClear

    public void setClear(java.lang.String clear)
                  throws DOMException

### getClip

    public java.lang.String getClip()

  See the clip property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setClip

    public void setClip(java.lang.String clip)
                 throws DOMException

### getColor

    public java.lang.String getColor()

  See the color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setColor

    public void setColor(java.lang.String color)
                  throws DOMException

### getContent

    public java.lang.String getContent()

  See the content property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setContent

    public void setContent(java.lang.String content)
                    throws DOMException

### getCounterIncrement

    public java.lang.String getCounterIncrement()

  See the counter-increment property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCounterIncrement

    public void setCounterIncrement(java.lang.String counterIncrement)
                             throws DOMException

### getCounterReset

    public java.lang.String getCounterReset()

  See the counter-reset property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCounterReset

    public void setCounterReset(java.lang.String counterReset)
                         throws DOMException

### getCue

    public java.lang.String getCue()

  See the cue property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCue

    public void setCue(java.lang.String cue)
                throws DOMException

### getCueAfter

    public java.lang.String getCueAfter()

  See the cue-after property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCueAfter

    public void setCueAfter(java.lang.String cueAfter)
                     throws DOMException

### getCueBefore

    public java.lang.String getCueBefore()

  See the cue-before property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCueBefore

    public void setCueBefore(java.lang.String cueBefore)
                      throws DOMException

### getCursor

    public java.lang.String getCursor()

  See the cursor property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCursor

    public void setCursor(java.lang.String cursor)
                   throws DOMException

### getDirection

    public java.lang.String getDirection()

  See the direction property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setDirection

    public void setDirection(java.lang.String direction)
                      throws DOMException

### getDisplay

    public java.lang.String getDisplay()

  See the display property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setDisplay

    public void setDisplay(java.lang.String display)
                    throws DOMException

### getElevation

    public java.lang.String getElevation()

  See the elevation property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setElevation

    public void setElevation(java.lang.String elevation)
                      throws DOMException

### getEmptyCells

    public java.lang.String getEmptyCells()

  See the empty-cells property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setEmptyCells

    public void setEmptyCells(java.lang.String emptyCells)
                       throws DOMException

### getCssFloat

    public java.lang.String getCssFloat()

  See the float property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setCssFloat

    public void setCssFloat(java.lang.String cssFloat)
                     throws DOMException

### getFont

    public java.lang.String getFont()

  See the font property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFont

    public void setFont(java.lang.String font)
                 throws DOMException

### getFontFamily

    public java.lang.String getFontFamily()

  See the font-family property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontFamily

    public void setFontFamily(java.lang.String fontFamily)
                       throws DOMException

### getFontSize

    public java.lang.String getFontSize()

  See the font-size property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontSize

    public void setFontSize(java.lang.String fontSize)
                     throws DOMException

### getFontSizeAdjust

    public java.lang.String getFontSizeAdjust()

  See the font-size-adjust property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontSizeAdjust

    public void setFontSizeAdjust(java.lang.String fontSizeAdjust)
                           throws DOMException

### getFontStretch

    public java.lang.String getFontStretch()

  See the font-stretch property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontStretch

    public void setFontStretch(java.lang.String fontStretch)
                        throws DOMException

### getFontStyle

    public java.lang.String getFontStyle()

  See the font-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontStyle

    public void setFontStyle(java.lang.String fontStyle)
                      throws DOMException

### getFontVariant

    public java.lang.String getFontVariant()

  See the font-variant property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontVariant

    public void setFontVariant(java.lang.String fontVariant)
                        throws DOMException

### getFontWeight

    public java.lang.String getFontWeight()

  See the font-weight property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setFontWeight

    public void setFontWeight(java.lang.String fontWeight)
                       throws DOMException

### getHeight

    public java.lang.String getHeight()

  See the height property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setHeight

    public void setHeight(java.lang.String height)
                   throws DOMException

### getLeft

    public java.lang.String getLeft()

  See the left property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLeft

    public void setLeft(java.lang.String left)
                 throws DOMException

### getLetterSpacing

    public java.lang.String getLetterSpacing()

  See the letter-spacing property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLetterSpacing

    public void setLetterSpacing(java.lang.String letterSpacing)
                          throws DOMException

### getLineHeight

    public java.lang.String getLineHeight()

  See the line-height property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setLineHeight

    public void setLineHeight(java.lang.String lineHeight)
                       throws DOMException

### getListStyle

    public java.lang.String getListStyle()

  See the list-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyle

    public void setListStyle(java.lang.String listStyle)
                      throws DOMException

### getListStyleImage

    public java.lang.String getListStyleImage()

  See the list-style-image property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyleImage

    public void setListStyleImage(java.lang.String listStyleImage)
                           throws DOMException

### getListStylePosition

    public java.lang.String getListStylePosition()

  See the list-style-position property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStylePosition

    public void setListStylePosition(java.lang.String listStylePosition)
                              throws DOMException

### getListStyleType

    public java.lang.String getListStyleType()

  See the list-style-type property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setListStyleType

    public void setListStyleType(java.lang.String listStyleType)
                          throws DOMException

### getMargin

    public java.lang.String getMargin()

  See the margin property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMargin

    public void setMargin(java.lang.String margin)
                   throws DOMException

### getMarginTop

    public java.lang.String getMarginTop()

  See the margin-top property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginTop

    public void setMarginTop(java.lang.String marginTop)
                      throws DOMException

### getMarginRight

    public java.lang.String getMarginRight()

  See the margin-right property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginRight

    public void setMarginRight(java.lang.String marginRight)
                        throws DOMException

### getMarginBottom

    public java.lang.String getMarginBottom()

  See the margin-bottom property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginBottom

    public void setMarginBottom(java.lang.String marginBottom)
                         throws DOMException

### getMarginLeft

    public java.lang.String getMarginLeft()

  See the margin-left property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarginLeft

    public void setMarginLeft(java.lang.String marginLeft)
                       throws DOMException

### getMarkerOffset

    public java.lang.String getMarkerOffset()

  See the marker-offset property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarkerOffset

    public void setMarkerOffset(java.lang.String markerOffset)
                         throws DOMException

### getMarks

    public java.lang.String getMarks()

  See the marks property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMarks

    public void setMarks(java.lang.String marks)
                  throws DOMException

### getMaxHeight

    public java.lang.String getMaxHeight()

  See the max-height property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMaxHeight

    public void setMaxHeight(java.lang.String maxHeight)
                      throws DOMException

### getMaxWidth

    public java.lang.String getMaxWidth()

  See the max-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMaxWidth

    public void setMaxWidth(java.lang.String maxWidth)
                     throws DOMException

### getMinHeight

    public java.lang.String getMinHeight()

  See the min-height property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMinHeight

    public void setMinHeight(java.lang.String minHeight)
                      throws DOMException

### getMinWidth

    public java.lang.String getMinWidth()

  See the min-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setMinWidth

    public void setMinWidth(java.lang.String minWidth)
                     throws DOMException

### getOrphans

    public java.lang.String getOrphans()

  See the orphans property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOrphans

    public void setOrphans(java.lang.String orphans)
                    throws DOMException

### getOutline

    public java.lang.String getOutline()

  See the outline property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutline

    public void setOutline(java.lang.String outline)
                    throws DOMException

### getOutlineColor

    public java.lang.String getOutlineColor()

  See the outline-color property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineColor

    public void setOutlineColor(java.lang.String outlineColor)
                         throws DOMException

### getOutlineStyle

    public java.lang.String getOutlineStyle()

  See the outline-style property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineStyle

    public void setOutlineStyle(java.lang.String outlineStyle)
                         throws DOMException

### getOutlineWidth

    public java.lang.String getOutlineWidth()

  See the outline-width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOutlineWidth

    public void setOutlineWidth(java.lang.String outlineWidth)
                         throws DOMException

### getOverflow

    public java.lang.String getOverflow()

  See the overflow property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setOverflow

    public void setOverflow(java.lang.String overflow)
                     throws DOMException

### getPadding

    public java.lang.String getPadding()

  See the padding property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPadding

    public void setPadding(java.lang.String padding)
                    throws DOMException

### getPaddingTop

    public java.lang.String getPaddingTop()

  See the padding-top property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingTop

    public void setPaddingTop(java.lang.String paddingTop)
                       throws DOMException

### getPaddingRight

    public java.lang.String getPaddingRight()

  See the padding-right property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingRight

    public void setPaddingRight(java.lang.String paddingRight)
                         throws DOMException

### getPaddingBottom

    public java.lang.String getPaddingBottom()

  See the padding-bottom property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingBottom

    public void setPaddingBottom(java.lang.String paddingBottom)
                          throws DOMException

### getPaddingLeft

    public java.lang.String getPaddingLeft()

  See the padding-left property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPaddingLeft

    public void setPaddingLeft(java.lang.String paddingLeft)
                        throws DOMException

### getPage

    public java.lang.String getPage()

  See the page property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPage

    public void setPage(java.lang.String page)
                 throws DOMException

### getPageBreakAfter

    public java.lang.String getPageBreakAfter()

  See the page-break-after property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakAfter

    public void setPageBreakAfter(java.lang.String pageBreakAfter)
                           throws DOMException

### getPageBreakBefore

    public java.lang.String getPageBreakBefore()

  See the page-break-before property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakBefore

    public void setPageBreakBefore(java.lang.String pageBreakBefore)
                            throws DOMException

### getPageBreakInside

    public java.lang.String getPageBreakInside()

  See the page-break-inside property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPageBreakInside

    public void setPageBreakInside(java.lang.String pageBreakInside)
                            throws DOMException

### getPause

    public java.lang.String getPause()

  See the pause property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPause

    public void setPause(java.lang.String pause)
                  throws DOMException

### getPauseAfter

    public java.lang.String getPauseAfter()

  See the pause-after property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPauseAfter

    public void setPauseAfter(java.lang.String pauseAfter)
                       throws DOMException

### getPauseBefore

    public java.lang.String getPauseBefore()

  See the pause-before property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPauseBefore

    public void setPauseBefore(java.lang.String pauseBefore)
                        throws DOMException

### getPitch

    public java.lang.String getPitch()

  See the pitch property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPitch

    public void setPitch(java.lang.String pitch)
                  throws DOMException

### getPitchRange

    public java.lang.String getPitchRange()

  See the pitch-range property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPitchRange

    public void setPitchRange(java.lang.String pitchRange)
                       throws DOMException

### getPlayDuring

    public java.lang.String getPlayDuring()

  See the play-during property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPlayDuring

    public void setPlayDuring(java.lang.String playDuring)
                       throws DOMException

### getPosition

    public java.lang.String getPosition()

  See the position property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setPosition

    public void setPosition(java.lang.String position)
                     throws DOMException

### getQuotes

    public java.lang.String getQuotes()

  See the quotes property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setQuotes

    public void setQuotes(java.lang.String quotes)
                   throws DOMException

### getRichness

    public java.lang.String getRichness()

  See the richness property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setRichness

    public void setRichness(java.lang.String richness)
                     throws DOMException

### getRight

    public java.lang.String getRight()

  See the right property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setRight

    public void setRight(java.lang.String right)
                  throws DOMException

### getSize

    public java.lang.String getSize()

  See the size property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSize

    public void setSize(java.lang.String size)
                 throws DOMException

### getSpeak

    public java.lang.String getSpeak()

  See the speak property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeak

    public void setSpeak(java.lang.String speak)
                  throws DOMException

### getSpeakHeader

    public java.lang.String getSpeakHeader()

  See the speak-header property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakHeader

    public void setSpeakHeader(java.lang.String speakHeader)
                        throws DOMException

### getSpeakNumeral

    public java.lang.String getSpeakNumeral()

  See the speak-numeral property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakNumeral

    public void setSpeakNumeral(java.lang.String speakNumeral)
                         throws DOMException

### getSpeakPunctuation

    public java.lang.String getSpeakPunctuation()

  See the speak-punctuation property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeakPunctuation

    public void setSpeakPunctuation(java.lang.String speakPunctuation)
                             throws DOMException

### getSpeechRate

    public java.lang.String getSpeechRate()

  See the speech-rate property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setSpeechRate

    public void setSpeechRate(java.lang.String speechRate)
                       throws DOMException

### getStress

    public java.lang.String getStress()

  See the stress property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setStress

    public void setStress(java.lang.String stress)
                   throws DOMException

### getTableLayout

    public java.lang.String getTableLayout()

  See the table-layout property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTableLayout

    public void setTableLayout(java.lang.String tableLayout)
                        throws DOMException

### getTextAlign

    public java.lang.String getTextAlign()

  See the text-align property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextAlign

    public void setTextAlign(java.lang.String textAlign)
                      throws DOMException

### getTextDecoration

    public java.lang.String getTextDecoration()

  See the text-decoration property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextDecoration

    public void setTextDecoration(java.lang.String textDecoration)
                           throws DOMException

### getTextIndent

    public java.lang.String getTextIndent()

  See the text-indent property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextIndent

    public void setTextIndent(java.lang.String textIndent)
                       throws DOMException

### getTextShadow

    public java.lang.String getTextShadow()

  See the text-shadow property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextShadow

    public void setTextShadow(java.lang.String textShadow)
                       throws DOMException

### getTextTransform

    public java.lang.String getTextTransform()

  See the text-transform property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTextTransform

    public void setTextTransform(java.lang.String textTransform)
                          throws DOMException

### getTop

    public java.lang.String getTop()

  See the top property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setTop

    public void setTop(java.lang.String top)
                throws DOMException

### getUnicodeBidi

    public java.lang.String getUnicodeBidi()

  See the unicode-bidi property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setUnicodeBidi

    public void setUnicodeBidi(java.lang.String unicodeBidi)
                        throws DOMException

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  See the vertical-align property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVerticalAlign

    public void setVerticalAlign(java.lang.String verticalAlign)
                          throws DOMException

### getVisibility

    public java.lang.String getVisibility()

  See the visibility property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVisibility

    public void setVisibility(java.lang.String visibility)
                       throws DOMException

### getVoiceFamily

    public java.lang.String getVoiceFamily()

  See the voice-family property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVoiceFamily

    public void setVoiceFamily(java.lang.String voiceFamily)
                        throws DOMException

### getVolume

    public java.lang.String getVolume()

  See the volume property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setVolume

    public void setVolume(java.lang.String volume)
                   throws DOMException

### getWhiteSpace

    public java.lang.String getWhiteSpace()

  See the white-space property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWhiteSpace

    public void setWhiteSpace(java.lang.String whiteSpace)
                       throws DOMException

### getWidows

    public java.lang.String getWidows()

  See the widows property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWidows

    public void setWidows(java.lang.String widows)
                   throws DOMException

### getWidth

    public java.lang.String getWidth()

  See the width property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWidth

    public void setWidth(java.lang.String width)
                  throws DOMException

### getWordSpacing

    public java.lang.String getWordSpacing()

  See the word-spacing property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setWordSpacing

    public void setWordSpacing(java.lang.String wordSpacing)
                        throws DOMException

### getZIndex

    public java.lang.String getZIndex()

  See the z-index property definition in CSS2.
  Throws:
    DOMException - SYNTAX_ERR: Raised if the new value has a syntax error and is unparsable.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this property is readonly.

### setZIndex

    public void setZIndex(java.lang.String zIndex)
                   throws DOMException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.